Skip to main content
GET
/
vq
/
options
/
{symbol}
Get options chain
curl --request GET \
  --url https://api.vectrade.io/v1/vq/options/{symbol} \
  --header 'Authorization: Bearer <token>'
{
  "symbol": "<string>",
  "expirations": [
    "2023-12-25"
  ],
  "chain": [
    {
      "contractSymbol": "<string>",
      "type": "call",
      "strike": 123,
      "expiration": "2023-12-25",
      "bid": 123,
      "ask": 123,
      "lastPrice": 123,
      "volume": 123,
      "openInterest": 123,
      "impliedVolatility": 123,
      "delta": 123,
      "gamma": 123,
      "theta": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vectrade.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

symbol
string
required

Query Parameters

expiration
string<date>

Filter by expiration date

type
enum<string>
Available options:
call,
put

Response

Options chain data

symbol
string
expirations
string<date>[]
chain
object[]